
#obstacle sensor detect
#copy and paste this code in a file py with name stop.py
import subprocess
import pymysql.cursors
import Neww             #put in the same folder the python script Neww.py
import RPi.GPIO as GPIO
from Bluetin_Echo import Echo    #library for obstacle sensor
GPIO.setwarnings(False)
TRIGGER_PIN = 15
ECHO_PIN = 14
speed_of_sound = 250
echo = Echo(TRIGGER_PIN, ECHO_PIN, speed_of_sound)
samples = 10
resu = echo.read('cm', samples)
# Print result.
obstacle=0
GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)
db=pymysql.connect(host="",port=3306,user="",password="",db="",charset="utf8mb4") 
cursor=db.cursor()
sql="SELECT comandi FROM pilotino" #table and row
cur=cursor.execute(sql)
result=cursor.fetchone()

GPIO.setup(22,GPIO.OUT)   #GPIO Pins connected to driver L298n
GPIO.setup(23,GPIO.OUT)
GPIO.setup(24,GPIO.OUT)
GPIO.setup(5,GPIO.OUT)
                     
         
if (resu < 40):    # 40 is the value of distance sensor before to interrupt the motors loop can change with own value.
      print('obstacle detected')
      GPIO.output(22,GPIO.LOW)
      GPIO.output(23,GPIO.LOW)
      GPIO.output(24,GPIO.LOW)
      GPIO.output(5,GPIO.LOW)
      canc="delete from pilotino"
      cursor.execute(canc)
      db.commit()
      subprocess.call(['sh','./close.sh'])      #launch of close bash file for interrupt the motors loop 
         
     
print ('no obstacle detected')      
